package com.yihu.jw.entity.care.course;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/20
 * @Description: '居民课程记录
 */
@Entity
@Table(name="base_patient_course_record")
public class PatientCourseRecordDO extends UuidIdentityEntityWithCreateTime{

    private String patient;
    /**
     * '托育日志id'
     */
    private String nurseryLogId;
    /**
     * '课程记录内容'
     */
    private String content;
    /**
     * '附件'
     */
    private String enclosure;
    /**
     * '记录日期'
     */
    private String recordDate;

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "nursery_log_id")
    public String getNurseryLogId() {
        return nurseryLogId;
    }

    public void setNurseryLogId(String nurseryLogId) {
        this.nurseryLogId = nurseryLogId;
    }

    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "enclosure")
    public String getEnclosure() {
        return enclosure;
    }

    public void setEnclosure(String enclosure) {
        this.enclosure = enclosure;
    }

    @Column(name = "record_date")
    public String getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(String recordDate) {
        this.recordDate = recordDate;
    }
}
